## org.junit.runner
Interface FilterFactory

All Known Implementing Classes:
  ExcludeCategories, IncludeCategories

    public interface FilterFactory

Extend this class to create a factory that creates `Filter`.

Nested Class Summary
`static class` `FilterFactory.FilterNotCreatedException` Exception thrown if the `Filter` cannot be created.

Method Summary
`Filter` `createFilter(FilterFactoryParams params)` Creates a `Filter` given a `FilterFactoryParams` argument.

Method Detail

### createFilter

    Filter createFilter(FilterFactoryParams params)
                        throws FilterFactory.FilterNotCreatedException

  Creates a `Filter` given a `FilterFactoryParams` argument.

  Parameters:
    `params` - Parameters needed to create the `Filter`
  Throws:
    `FilterFactory.FilterNotCreatedException`

Copyright © 2002–2020 JUnit. All rights reserved.